/* wydawca - automatic release submission daemon
   Copyright (C) 2007-2020 Sergey Poznyakoff

   Wydawca is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by the
   Free Software Foundation; either version 3 of the License, or (at your
   option) any later version.

   Wydawca is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License along
   with wydawca. If not, see <http://www.gnu.org/licenses/>. */

#include <config.h>
#include <wydawca.h>

static void
printcwd (int c)
{
  char *dir = getcwd_alloc ();
  printf ("%c%s\n", c, dir);
  free (dir);
}
  
int
main (int argc, char **argv)
{
  while (--argc)
    {
      char *dir = *++argv;
      if (push_dir (dir))
	{
	  perror (dir);
	  abort ();
	}
      printcwd ('+');
    }

  do
    {
      printcwd ('-');
    }
  while (pop_dir() == 0);
  exit(0);
}    
